# export\_project\_as\_json

<pre class="language-python"><code class="lang-python">dbnl.export_project_as_json(
    *,
    project: <a data-footnote-ref href="#user-content-fn-1">Project</a>,
) -> dict[str, Any]:
</code></pre>

## Parameters

<table><thead><tr><th width="173">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>project</code></td><td>The <a href="/pages/vfXFauh5ZnUjluqFCP7i">Project</a> to export as json.</td></tr></tbody></table>

## Returns

<table><thead><tr><th width="167">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>dict[str, Any]</code></td><td><p>JSON object representing the Project. Example:</p><p></p><pre class="language-json"><code class="lang-json">{
    "project": {
        "name": "My Project",
        "description": "This is my project."
    },
    "tags": [
        {
            "name": "my-tag",
            "description" :"This is my tag."
        }
    ],
    "test_specs": [
        {
            "assertion": { "name": "less_than", "params": { "other": 0.5 } },
            "description": "Testing the difference in the example statistic",
            "name": "Gr.0: Non Parametric Difference: Example_Statistic",
            "statistic_inputs": [
                {
                    "select_query_template": {
                        "filter": null,
                        "select": "{EXPERIMENT}.Example_Statistic"
                    }
                },
                {
                    "select_query_template": {
                        "filter": null,
                        "select": "{BASELINE}.Example_Statistic"
                    }
                }
            ],
            "statistic_name": "my_stat",
            "statistic_params": {},
            "tag_names": ["my-tag"]
        }
    ]
}
</code></pre></td></tr></tbody></table>

## Examples

```python
import dbnl
dbnl.login()


proj = dbnl.get_or_create_project(name="test_proj")
export_json = dbnl.export_project_as_json(project=proj)

assert export_json["project"]["name"] == "test_proj"
```

[^1]: [Project](/v0.20.x/using-distributional/python-sdk/sdk-objects/project.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-functions/project/export_project_as_json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
